Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.pdf3d.PDF3DAnnotViewDataArray Class Reference

This class represents an array of PDF3DAnnotViewData . More...

Inherits SystemIDisposable.

## Public Member Functions
| PDF3DAnnotViewDataArray ()
| Constructor.
| PDF3DAnnotViewDataArray (PDF3DAnnotViewDataArray other)
| Constructor, with another array object. More...
void | Add (PDF3DAnnotViewData element)
| Add an element to the end of current array. More...
PDF3DAnnotViewData | GetAt (uint index)
| Retrieve a copy of the element at position specified by index in current array. More...
uint | GetSize ()
| Get the size of elements in current array. More...
void | InsertAt (uint index, PDF3DAnnotViewData element)
| Insert an element before the position specified by index. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (uint index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of PDF3DAnnotViewData .

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotViewDataArray()

foxit.addon.pdf3d.PDF3DAnnotViewDataArray.PDF3DAnnotViewDataArray | ( | PDF3DAnnotViewDataArray | other | ) |
| inline

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit.addon.pdf3d.PDF3DAnnotViewDataArray.Add | ( | PDF3DAnnotViewData | element | ) |
| inline

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

PDF3DAnnotViewData foxit.addon.pdf3d.PDF3DAnnotViewDataArray.GetAt | ( | uint | index | ) |
| inline

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

uint foxit.addon.pdf3d.PDF3DAnnotViewDataArray.GetSize | ( |  | ) |
| inline

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit.addon.pdf3d.PDF3DAnnotViewDataArray.InsertAt | ( | uint | index,
|  | PDF3DAnnotViewData | element
| ) |  |
| inline

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

void foxit.addon.pdf3d.PDF3DAnnotViewDataArray.RemoveAll | ( |  | ) |
| inline

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit.addon.pdf3d.PDF3DAnnotViewDataArray.RemoveAt | ( | uint | index | ) |
| inline

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.